#include "charm++.h"
#include "pgm.decl.h"
#include "tempo.h"

#define NITER 5000

extern CkChareID mainhandle;

class UserArray : public TempoArray
{
  public:
    UserArray(void) : TempoArray()  {}
    UserArray(CkMigrateMessage *m): TempoArray(m) {}
    void doAllreduce(void);
};

class main : public Chare
{
  double starttime, endtime;
  public :
    main(CkMigrateMessage *m) {}
    main(CkArgMsg *);
    void Finish(void);
};
